/* Copyright IBM Corp. 2017 */
import { first, tap } from 'rxjs/operators';

import { wchToolsGetCredentials } from '../src/utils/wchtools';

xdescribe('credentials.test', () => {

    it('should be able to access credentials', () => {
        const API_URL = 'https://my6.digitalexperience.ibm.com/api/71283e79-7584-4578-b041-074d1dcb6493';

        return wchToolsGetCredentials(API_URL).pipe(
            first(),
            tap(cred => {
                expect(cred.username).toBeDefined();
                expect(cred.password).toBeDefined();
            }))
            .toPromise();
    });
});

