# Watson Content Hub sample site - Oslo
Oslo is a responsive, sample website that illustrates what you can create by using Watson Content Hub. You can use the sample site as a starting point for customizing your own website. This repository contains the content of the sample site.

## Out of the Box deployment
Watson Content Hub Trial, Standard and Premium Tenants created after October 15th will automatically contain the Oslo sample site. Tenants created before or Base tenants converted to Standard or Premium do not have the Oslo sample site deployed automatically but can leverage this repository to download and deploy the Oslo sample site to the tenant.

## Getting Setup

Download and install the latest release of wchtools that is available here `https://github.com/ibm-wch/wchtools-cli` or here 'https://www.npmjs.com/package/wchtools-api'. After installing the tool on your machine, you can test and verify the version number by running `wchtools -V`. Ensure that you have at least version 2 of wchtools.

## Pushing Watson Content Hub sample site - Oslo to your tenant

Clone this repository to your local environment. Copy the directories and files from the local oob-spa-content GIT repository to a working directory that will be used to push the content artifacts for the new tenant.

Initialize the wchtools for your tenant with wchtools init command. 

Next run the wchtools push command specifying the local working directory where the GIT repository files that were copied are located - `wchtools push -v -A --dir <path-to-working-directory>`. See the README.md that comes with wchtools for more details on using the push command. After successful completion, you should see a message indicating that the push is complete, the number of artifacts involved, and the log file that can be consulted for more details.
In case you are encountering issues rerun the push several times.

You should now be able to log into the tenant and see the populated content artifacts and your site.

## Next Steps

See the documentation on developer works how to customize the sample website or creating your own.

## License

See the included license file [License](LICENSE) .
