import { Observable } from 'rxjs';
import { Options } from './../options';
import { SiteNode } from './../utils/wchtools';
import { AbstractCommand } from './abstract.command';
import { Command } from './command';
export declare type PrefetchFilter = (aLevel: number, aNode: SiteNode) => boolean;
/**
 * Generates layout and layout mappings
 *
 * add prefetch --data DATA_FOLDER --src SRC_FOLDER
 */
export declare class AddPreloadCommand extends AbstractCommand implements Command {
    private options;
    static readonly TYPE: string;
    static readonly COMMAND: string;
    constructor(options: Options);
    printHelp(): void;
    process(): Observable<string>;
}
