import { Observable, Subject } from 'rxjs';
import { Options } from './../options';
import { AbstractCommand } from './abstract.command';
import { Command } from './command';
declare function _writeAsset(aSrc: string, aName: string, aDataDir: string, aLogger: Subject<string>): Observable<string>;
/**
 * Generates angular components based on type and layout mapping definitions
 *
 * create assert --data DATA_FOLDER --src ASSET_FILE
 */
export declare class CreateAssetCommand extends AbstractCommand implements Command {
    private options;
    static readonly TYPE: string;
    static readonly COMMAND: string;
    constructor(options: Options);
    process(): Observable<string>;
}
export { _writeAsset as writeAsset };
