import { Observable } from 'rxjs';
import { Options } from './../options';
import { AbstractCommand } from './abstract.command';
import { Command } from './command';
/**
 * Generates angular components based on type and layout mapping definitions
 *
 * create site --data DATA_FOLDER --name APP_NAME
 */
export declare class CreateSiteCommand extends AbstractCommand implements Command {
    private options;
    static readonly TYPE: string;
    static readonly COMMAND: string;
    constructor(options: Options);
    printHelp(): void;
    process(): Observable<string>;
}
