import { Observable } from 'rxjs';
import { Options } from './../options';
import { AbstractCommand } from './abstract.command';
import { Command } from './command';
export declare const UUID_MANIFEST_TYPE = "3900cd47-0f9a-45a9-892f-3f9a3e42c751";
export declare const UUID_MANIFEST_LAYOUT = "72b59cc2-3664-4a55-a8df-3604b503ed47";
export declare const UUID_FAVICONS_LAYOUT = "3fb75fda-4ff2-42a0-be53-69837df22f43";
export declare const KEY_MANIFEST_ID = "manifestId";
/**
 * Generates angular components based on type and layout mapping definitions
 *
 * create webappmanifest --data DATA_FOLDER
 */
export declare class CreateWebAppManifestCommand extends AbstractCommand implements Command {
    static readonly TYPE: string;
    static readonly COMMAND: string;
    constructor(options: Options);
    process(): Observable<string>;
}
