declare function _readPackageConfig(aPackageDir: string): any;
declare function _getDataDir(aPackageDir: string, aConfig: any): string | undefined;
declare function _getDefaultDataDir(aPackageDir: string): string | undefined;
/**
 * Returns the directory of the application, typcially './src'
 *
 * @param aPackageDir   package directory
 * @param aConfig       config directory
 */
declare function _getAppDir(aPackageDir: string, aConfig: any): string | undefined;
/**
 * Returns the directory of the application, typcially './src'
 *
 * @param aPackageDir   package directory
 * @param aConfig       config directory
 */
declare function _getDefaultAppDir(aPackageDir: string): string;
declare function _getAppName(aPackageDir: string, aConfig: any): string | undefined;
declare function _getContextRoot(aPackageDir: string, aConfig: any): string | undefined;
/**
 * Trims leading and trailing slashes
 *
 * @param aAppName  the app name
 * @return the trimmed slashes
 */
declare function _trimSlashes(aAppName?: string): string;
declare function _createUrl(aAppName: string, aApiBaseUrl: string): string;
declare function _getIndexDirFromContextRoot(aContextRoot: string, aDataDir: string): string;
export { _readPackageConfig as configReadPackageConfig, _getDataDir as configGetDataDir, _getAppDir as configGetAppDir, _getDefaultDataDir as configGetDefaultDataDir, _getDefaultAppDir as configGetDefaultAppDir, _getAppName as configGetAppName, _getContextRoot as configGetContextRoot, _createUrl as configGetBaseUrl, _trimSlashes as configTrimSlashes, _getIndexDirFromContextRoot as configIndexDirFromContextRoot };
