/**
 * Returns an initial value for the hash code
 *
 * @return the initial value
 */
declare function _longHash(): number;
declare function _hashString(oldHash: number, s: string): number;
/**
 * Converts a hash number into a javascript identifier
 *
 * @param aHash     the hash number
 * @return a valid javascript identifier
 */
declare function _hashToIdentifier(aHash: number): string;
export { _hashString as hashString, _longHash as longHash, _hashToIdentifier as hashToIdentifier };
