import { Observable, Subject, UnaryFunction } from 'rxjs';
import { Options } from './../options';
export interface TypeClass {
    folder: string;
    type: any;
    simpleTypeClass: string;
    typeElementClass: string;
    baseElementClass: string;
    singleElementClass: string;
    multiElementClass: string;
    typeElementFile: string;
    typeElementRef: string;
}
export declare class TypeRegistry {
    private aBaseFolders;
    private aOptions;
    private aMkdirp;
    private aLogger;
    private typeRegistry;
    private typeMap;
    constructor(aBaseFolders: Observable<string[]>, aOptions: Options, aMkdirp: UnaryFunction<string, Observable<string>>, aLogger: Subject<string>);
    registerType(aType: any): boolean;
    findTypeClass(aType: any): Observable<TypeClass>;
}
