/* Copyright IBM Corp. 2017 */

export const OPTION_OUT = 'out';
export const OPTION_DATA = 'data';
export const OPTION_SOURCE = 'src';
export const OPTION_NAME = 'name';
export const OPTION_TYPE = 'type';
export const OPTION_URL = 'url';
export const OPTION_USER = 'user';
export const OPTION_COUNT = 'count';
export const OPTION_N = 'n';
export const OPTION_PASSWORD = 'password';
export const OPTION_INCLUDE_PATTERN = 'include';
export const OPTION_EXCLUDE_PATTERN = 'exclude';
export const OPTION_VERBOSE = 'verbose';
export const OPTION_SCSS = 'scss';
export const OPTION_HELP = 'help';
export const OPTION_MODULE = 'module';
export const OPTION_MODULES = 'modules';
export const OPTION_SKIP_REGISTRATION = 'skipRegistration';
export const OPTION_SKIP_SOURCEMAPS = 'skipSourcemaps';
export const OPTION_SKIP_PULL = 'skipPull';
export const OPTION_ARCHIVE = 'archive';
export const OPTION_OVERRIDE = 'override';
export const OPTION_FLAT = 'flat';
export const OPTION_RELATIVE = 'relative';
export const OPTION_ROOT = 'root';
export const OPTION_ID = 'id';
export const OPTION_SCRIPT = 'script';
export const OPTION_ESI = 'esi';
export const OPTION_AGGREGATED = 'aggregated';
export const OPTION_PKG_DIR = 'package';
export const OPTION_EDITABLE = 'editable';
export const OPTION_LAYOUT_HTML_TEMPLATE = 'layout.html.template';
export const CMD_CANONICALIZE = 'canonicalize';
export const CMD_COMPRESS = 'compress';
export const CMD_CREATE = 'create';
export const CMD_STORE = 'store';
export const CMD_SHOW = 'show';
export const CMD_APP = 'application';
export const CMD_ADD = 'add';
export const CMD_BUILD = 'build';
export const CMD_REGISTER = 'register';
export const CMD_COPY = 'copy';
export const CMD_RUN = 'run';
export const CMD_NORMALIZE = 'normalize';

export const TYPE_CREATE = 'layout';
export const TYPE_COPYRIGHT = 'copyright';

export const LAYOUTS_FILE = 'layouts.ts';
export const LAYOUTS_EXPORT_FILE = 'layouts.exports.ts';
export const MODULES_FILE = 'modules.ts';
export const MODULES_EXPORT_FILE = 'modules.exports.ts';
export const APP_MODULE_FILE = 'app.module.ts';
