import { Observable } from 'rxjs';
import { Options } from './../options';
import { AbstractCommand } from './abstract.command';
import { Command } from './command';
/**
 * create pagetype --data <DATA> --src <SRC> --type <TYPE> [--verbose] [--flat] [--scss] [--override]
 */
export declare class CreatePageTypeCommand extends AbstractCommand implements Command {
    private options;
    static readonly TYPE: string;
    static readonly COMMAND: string;
    constructor(options: Options);
    printHelp(): void;
    process(): Observable<string>;
}
