export declare const HELP_PROJECT_SOURCE = "Parent folder of the application folder. The actual application will be created as a subfolder for this folder.";
export declare const HELP_PROJECT_OVERRIDE: string;
export declare const HELP_VERBOSE = "If set to \"true\" the system prints verbose logging messages.";
export declare const HELP_RELATIVE = "If set to \"true\" the system will not create absolute URLs.";
export declare const HELP_ESI = "If set to \"true\" the system will create ESI include directives to pull in fragment resources. Otherwise it generates links with rel=\"esi:include\" and assumes a polyfill.";
export declare const HELP_OVERRIDE = "If set to \"true\" the target will be overridden.";
export declare const HELP_APPLICATION_NAME = "Name of the application.";
export declare const HELP_LIBRARY_NAME = "Name of the library to add, using the same syntax as 'npm install', e.g. '@myscope/mycomponent@^1.0.0'.";
export declare const HELP_COPY_SOURCE = "Source folder to copy the data from.";
export declare const HELP_CONTEXT_ROOT = "Context root of the application, should start with a slash and the path has to be URL encoded.";
export declare const HELP_DATA_DIRECTORY = "WchTools data folder.";
export declare const HELP_API_URL = "The WCH API URL.";
export declare const HELP_REGISTRY_URL = "Base URL of the component registry, e.g. 'https://registry.npmjs.org/'.";
export declare const HELP_USERNAME = "Username used when accessing the WCH REST APIs.";
export declare const HELP_PASSWORD = "Password used when accessing the WCH REST APIs.";
export declare const HELP_PKG_DIR = "Path to the directory that contains the package.json file. Defaults to the current directory.";
export declare const HELP_BUILD_SOURCE = "Source project folder, the folder that contains the package file.";
export declare const HELP_COMPONENT_SOURCE: string;
export declare const HELP_MODULE_FILE: string;
export declare const HELP_SKIP_REGISTRATION: string;
export declare const HELP_SKIP_PULL = "Do not pull existing types from WCH.";
export declare const HELP_INDEX_SOURCE = "Source folder that contains the index.html file to rewrite.";
export declare const HELP_FLAT = "Does not create a folder structure based on tags for the generated components.";
export declare const HELP_SCSS = "Generates SCSS styles instead of CSS styles for components.";
export declare const HELP_EDITABLE = "Generates inline edit directives for generated template code.";
export declare const HELP_LAYOUT_NAME = "Name of the generated layout component.";
export declare const HELP_LAYOUT_TYPE = "Name of the content type to create. Needs to be an exact match, not a wildcard pattern.";
export declare const HELP_MODULES = "If specified, then the command will generate a separate module per layout.";
export declare const HELP_AGGREGATED = "Aggregates the data dependencies across referenced modules.";
export declare const HELP_DST_DIR = "Target directory";
export declare const HELP_SKIP_SOURCEMAP = "Do not generate a sourcemap.";
