/// <reference types="node" />
import { Observable } from 'rxjs';
declare function _readTextFile(aPath: string): Observable<string>;
declare function _writeTextFile(aPath: string, aData: string): Observable<string>;
declare function _writeTextFileSafe(aPath: string, aData: string, bOverride: boolean): Observable<string>;
declare function _writeBinaryFileSafe(aPath: string, aData: Buffer, bOverride: boolean): Observable<string>;
declare function _writeJsonFileSafe(aPath: string, aData: any, bOverride: boolean): Observable<string>;
export { _writeJsonFileSafe as writeJsonFileSafe, _writeTextFileSafe as writeTextFileSafe, _writeBinaryFileSafe as writeBinaryFileSafe, _readTextFile as rxReadTextFile, _writeTextFile as rxWriteTextFile };
