"use strict";
/* Copyright IBM Corp. 2018 */
Object.defineProperty(exports, "__esModule", { value: true });
// regular expression to detect uuid.v4 strings
var HEX_REGEXP_STRING = '[0-9a-fA-F]';
var HOST_REGEXP_STRING = '[^\\.\\:]';
var UUID_V4_REGEXP_STRING = HEX_REGEXP_STRING + "{8}-" + HEX_REGEXP_STRING + "{4}-4" + HEX_REGEXP_STRING + "{3}-[89abAB]" + HEX_REGEXP_STRING + "{3}-" + HEX_REGEXP_STRING + "{12}";
var TENANT_BASED_URL = "^(?:\\/api)?\\/(" + UUID_V4_REGEXP_STRING + ")(?:\\/)?(?:.*)$";
exports.TENANT_BASED_URL_REGEXP = new RegExp(TENANT_BASED_URL);
