"use strict";
exports.__esModule = true;
exports.HELP_PROJECT_SOURCE = 'Parent folder of the application folder. The actual application will be created as a subfolder for this folder.';
exports.HELP_PROJECT_OVERRIDE = 'If set to "true" a potentially existing application will be deleted '
    + 'and re-created. Else the process will fail if the application exist.';
exports.HELP_VERBOSE = 'If set to "true" the system prints verbose logging messages.';
exports.HELP_RELATIVE = 'If set to "true" the system will not create absolute URLs.';
exports.HELP_ESI = "If set to \"true\" the system will create ESI include directives to pull in fragment resources. Otherwise it generates links with rel=\"esi:include\" and assumes a polyfill.";
exports.HELP_OVERRIDE = 'If set to "true" the target will be overridden.';
exports.HELP_APPLICATION_NAME = 'Name of the application.';
exports.HELP_LIBRARY_NAME = 'Name of the library to add, using the same syntax as \'npm install\', e.g. \'@myscope/mycomponent@^1.0.0\'.';
exports.HELP_COPY_SOURCE = 'Source folder to copy the data from.';
exports.HELP_CONTEXT_ROOT = 'Context root of the application, should start with a slash and the path has to be URL encoded.';
exports.HELP_DATA_DIRECTORY = 'WchTools data folder.';
exports.HELP_API_URL = 'The WCH API URL.';
exports.HELP_REGISTRY_URL = 'Base URL of the component registry, e.g. \'https://registry.npmjs.org/\'.';
exports.HELP_USERNAME = 'Username used when accessing the WCH REST APIs.';
exports.HELP_PASSWORD = 'Password used when accessing the WCH REST APIs.';
exports.HELP_PKG_DIR = 'Path to the directory that contains the package.json file. Defaults to the current directory.';
exports.HELP_BUILD_SOURCE = 'Source project folder, the folder that contains the package file.';
exports.HELP_COMPONENT_SOURCE = 'Application source folder. This is typically the folder "./src/app" relative to the package file. '
    + 'This folder contains the "app.module.ts" file.';
exports.HELP_MODULE_FILE = 'Path to the application module to register the components in. If missing this is the '
    + '"app.module.ts" file in the source folder.';
exports.HELP_SKIP_REGISTRATION = 'Skips the registration of the components in the application module. '
    + 'Only updates the layout overview files.';
exports.HELP_SKIP_PULL = 'Do not pull existing types from WCH.';
exports.HELP_INDEX_SOURCE = 'Source folder that contains the index.html file to rewrite.';
exports.HELP_FLAT = 'Does not create a folder structure based on tags for the generated components.';
exports.HELP_SCSS = 'Generates SCSS styles instead of CSS styles for components.';
exports.HELP_EDITABLE = 'Generates inline edit directives for generated template code.';
exports.HELP_LAYOUT_NAME = 'Name of the generated layout component.';
exports.HELP_LAYOUT_TYPE = 'Name of the content type to create. Needs to be an exact match, not a wildcard pattern.';
exports.HELP_MODULES = 'If specified, then the command will generate a separate module per layout.';
exports.HELP_AGGREGATED = 'Aggregates the data dependencies across referenced modules.';
exports.HELP_DST_DIR = 'Target directory';
exports.HELP_SKIP_SOURCEMAP = 'Do not generate a sourcemap.';
