"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var constants_1 = require("./../constants");
var abstract_wchtools_command_1 = require("./abstract.wchtools.command");
var RunWchToolsCommand = /** @class */ (function (_super) {
    __extends(RunWchToolsCommand, _super);
    function RunWchToolsCommand(options) {
        return _super.call(this, options) || this;
    }
    RunWchToolsCommand.prototype.process = function () {
        // the arguments
        var opts = this.getOptions();
        var args = opts.allArgs.slice(2);
        // log this
        var logger = this.getLogger();
        logger.next("Invoking wchtools [" + JSON.stringify(args) + "].");
        // process
        return this.executeWchTools(args);
    };
    RunWchToolsCommand.TYPE = 'wchtools';
    RunWchToolsCommand.COMMAND = constants_1.CMD_RUN;
    return RunWchToolsCommand;
}(abstract_wchtools_command_1.AbstractWchToolsCommand));
exports.RunWchToolsCommand = RunWchToolsCommand;
